/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/****************************************************************************/
/** \file main.c
**
** 
**
**	History:
**	
*****************************************************************************/
/****************************************************************************/
/*	include files
*****************************************************************************/
#include "app_config.h"

/****************************************************************************/
/*	Local pre-processor symbols('#define')
*****************************************************************************/

/****************************************************************************/
/*	Global variable definitions(declared in header file with 'extern')
*****************************************************************************/

/****************************************************************************/
/*	Local type definitions('typedef')
*****************************************************************************/

/****************************************************************************/
/*	Local variable  definitions('static')
*****************************************************************************/

/****************************************************************************/
/*	Local function prototypes('static')
*****************************************************************************/

/****************************************************************************/
/*	Function implementation - global ('extern') and local('static')
*****************************************************************************/

/*****************************************************************************
 ** \brief	 main
 **
 ** \param [in]  none   
 **
 ** \return 0
 *****************************************************************************/
int main(void)
{		
	uint32_t TempPos,TempNeg;
	
	//MCUʼ
	MCU_Init();	
	//CMS1238ʼ	
	SigmadeltaADCConfig();
		
	while(1)
	{
										
		SiDaAdcStr.ChannelSel = CMS_CH_SEL_CHOP;		
		SiDaAdcStr.Config2 =  (SiDaAdcStr.ChannelSel<<5)|(SiDaAdcStr.Power<<4)| 
							 ((SiDaAdcStr.AdcFre)<<3)|((SiDaAdcStr.Osr &0x1)<<2)|
							 (SiDaAdcStr.ChopEn<<1) |(SiDaAdcStr.ADCChopFre<<0);				
		SigmaDeltaWaitReady();	
		TempPos = SigmaDeltaAdcWriteReg(CMS_CMD_WRITE_CONFIG2,SiDaAdcStr.Config2);	//Ҫ3
			
		if(TempNeg & 0x800000)
		{
			TempPos = (~(TempPos) +1) &0x7fffff;	
		}				
		
		SiDaAdcStr.ChannelSel = CMS_CH_SEL_CH;		
		SiDaAdcStr.Config2 =  (SiDaAdcStr.ChannelSel<<5)|(SiDaAdcStr.Power<<4)| 
							 ((SiDaAdcStr.AdcFre)<<3)|((SiDaAdcStr.Osr &0x1)<<2)|
							 (SiDaAdcStr.ChopEn<<1) |(SiDaAdcStr.ADCChopFre<<0);				
		SigmaDeltaWaitReady();	
		TempNeg = SigmaDeltaAdcWriteReg(CMS_CMD_WRITE_CONFIG2,SiDaAdcStr.Config2);	//Ҫ3		
		
		if(TempNeg & 0x800000)
		{
			TempNeg = (~(TempNeg) +1) &0x7fffff;	
		}		
		
		SiDaAdcStr.Data = (TempPos + TempNeg)>>1 ;
		
		
		printf("SiDaADC Value :");		
		if(TempPos & 0x800000)
			printf("-%ld\n\r",SiDaAdcStr.Data);			
		else
			printf("%ld\n\r",SiDaAdcStr.Data);			
	}
}





















