/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/****************************************************************************/
/** \file main.c
**
** 
**
**	History:
**	
*****************************************************************************/
/****************************************************************************/
/*	include files
*****************************************************************************/
#include "app_config.h"

/****************************************************************************/
/*	Local pre-processor symbols('#define')
*****************************************************************************/

/****************************************************************************/
/*	Global variable definitions(declared in header file with 'extern')
*****************************************************************************/

/****************************************************************************/
/*	Local type definitions('typedef')
*****************************************************************************/

/****************************************************************************/
/*	Local variable  definitions('static')
*****************************************************************************/

/****************************************************************************/
/*	Local function prototypes('static')
*****************************************************************************/
#define   TP_19				19			//19϶ 
#define   TP_19_ADC			1650560		//ʵֵο
/****************************************************************************/
/*	Function implementation - global ('extern') and local('static')
*****************************************************************************/

/*****************************************************************************
 ** \brief	 main
 **
 ** \param [in]  none   
 **
 ** \return 0
 *****************************************************************************/
int main(void)
{	
	double  Temp;
	//MCUʼ
	MCU_Init();	
	//CMS1238ʼ	 ȡڲ¶ȴѹֵ
	SigmadeltaADCConfig();	
	

	while(1)
	{
		SigmaDeltaWaitReady();	
		SiDaAdcStr.Data = SigmaDeltaAdcReadData();		
		if(SiDaAdcStr.Data & 0x800000)
			SiDaAdcStr.Data = (~(SiDaAdcStr.Data) +1) &0x7fffff;
		
		Temp = ((double)SiDaAdcStr.Data) * ((double)273.15 + (double)TP_19) / ((double)TP_19_ADC) - 273.15;
		
		printf("Temp is %0.2f\n\r",Temp);		
	}

}





















